Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class SerializedCommunicationStrategy.ObjectStreamNameServer

    java.lang.Object
      java.lang.Thread
          ix.util.CatchingThread
              ix.util.ipc.SerializedCommunicationStrategy.ObjectStreamNameServer

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SerializedCommunicationStrategy

    public static class SerializedCommunicationStrategy.ObjectStreamNameServer

extends CatchingThread

A Thread that acts as a name-server on a specified port.

Nested Class Summary
`(package private) class` | `SerializedCommunicationStrategy.ObjectStreamNameServer.TranscriptFrame`

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) ServiceAddress` | `addr`
`(package private) boolean` | `isStandAlone`
`(package private) IPC.DestinationTable` | `nameTable`
`(package private) java.net.ServerSocket` | `servSock`
`(package private) SerializedCommunicationStrategy` | `strategy`
`(package private) TextAreaFrame` | `textFrame`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SerializedCommunicationStrategy.ObjectStreamNameServer(SerializedCommunicationStrategy strategy, ServiceAddress addr)`

Method Summary
`protected void` | `clientServiceLoop(ObjectStreamConnection connection)`
`protected void` | `handleMessage(ObjectStreamConnection connection, java.lang.Object contents)`
`void` | `innerRun()` Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing.
`protected void` | `recordRegistration(ObjectStreamConnection connection, java.lang.String name, ServiceAddress addr)`
`protected void` | `sendReply(ObjectStreamConnection connection, java.lang.Object reply)`
`protected void` | `serveClientOn(ObjectStreamConnection connection)`
`protected void` | `transcript(java.lang.String line)`

Methods inherited from class ix.util.CatchingThread
`handleException, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### strategy

    SerializedCommunicationStrategy strategy

### addr

    ServiceAddress addr

### nameTable

    IPC.DestinationTable nameTable

### textFrame

    TextAreaFrame textFrame

### servSock

    java.net.ServerSocket servSock

### isStandAlone

    boolean isStandAlone

Constructor Detail

### SerializedCommunicationStrategy.ObjectStreamNameServer

    public SerializedCommunicationStrategy.ObjectStreamNameServer(SerializedCommunicationStrategy strategy,
                                                                  ServiceAddress addr)

Method Detail

### innerRun

    public void innerRun()

  Description copied from class: `CatchingThread`
  Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing. An alternative to supplying an innerRunnable is to redefine this method in a subclass.

  Overrides:
    `innerRun` in class `CatchingThread`

### serveClientOn

    protected void serveClientOn(ObjectStreamConnection connection)

### clientServiceLoop

    protected void clientServiceLoop(ObjectStreamConnection connection)

### handleMessage

    protected void handleMessage(ObjectStreamConnection connection,
                                 java.lang.Object contents)

### sendReply

    protected void sendReply(ObjectStreamConnection connection,
                             java.lang.Object reply)

### recordRegistration

    protected void recordRegistration(ObjectStreamConnection connection,
                                      java.lang.String name,
                                      ServiceAddress addr)

### transcript

    protected void transcript(java.lang.String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD